/**
 * 待同步的单条消息
 * 
 */
import { z } from "zod";

export const SyncMessageSchema = z.object({
  role: z.string(),
  content: z.string(),
  timestamp: z.string(),
});

export type SyncMessageInput = z.input<typeof SyncMessageSchema>;
export type SyncMessageData = z.output<typeof SyncMessageSchema>;
